Skip to main content
GET
Get Payout Status

Authorizations

x-api-key
string
header
required

API key for authentication. Must be included in the x-api-key header.

Path Parameters

payout_id
string<uuid>
required

Unique identifier of the payout

Response

Payout retrieved successfully

id
string<uuid>

Unique identifier for the payout

Example:

"052471e2-1819-448f-ad74-03f237c1dfd6"

currency
string

Payout currency

Example:

"php"

rail
string

Payment rail used for the payout

Example:

"INSTAPAY"

reference
string

Reference provided by the underlying rail, if available

Example:

"051567"

amount
number

Payout amount in the given currency

Example:

20

status
string

Current status of the payout

Example:

"PAYOUT_PROCESSED"

user_id
string<uuid>

The unique identifier of the user

Example:

"9973efd0-410c-4b1a-991c-5a00f1581734"

customer_payout_id
string<uuid>

Your idempotent identifier for this payout

Example:

"491595e0-2d40-4aa3-9f3d-4e8cdd79511e"

rail_fee
number

Fee charged by the underlying payment rail

Example:

10

account_details
object
created_at
string<date-time>

Timestamp when the payout was created

Example:

"2026-03-13T16:32:17.604935Z"

updated_at
string<date-time>

Timestamp when the payout was last updated

Example:

"2026-03-13T16:32:46.364880Z"